NAUTY-SUBDIVIDEG(1)

NAME
nauty-subdivideg - compute the subdivision graphs of a file of graphs

SYNOPSIS
xsubdivideg [-k#] [-i] [-q] [infile [outfile]]

DESCRIPTION

    Make the subdivision graphs of a file of graphs, or the inverse operation.

-k# Subdivide each edge by # new vertices (default 1)

-i  Perform homeomorphic series reduction For undirected graphs, repeatedly replace x--y--z by x--z if

    x,y are not adjacent and y has no other neighbours.

    For digraphs, repeatedly replace x->y->z by x->z if x,z are

    distinct, x->z is not present, and y has no other neighbours.

    The output file has a header if and only if the input file does.

-q  Suppress auxiliary information.